hcrypto miscellaneous functions(3)

NAME
hcrypto miscellaneous functions -

  Functions
int PKCS5_PBKDF2_HMAC_SHA1 (const void *password, size_t password_len, const void *salt, size_t salt_len, unsigned long iter, size_t keylen, void *key)

Detailed Description

Function Documentation

  int PKCS5_PBKDF2_HMAC_SHA1 (const void * password, size_t password_len, const void * salt, size_t salt_len, unsigned long iter, size_t keylen, void * key)

As descriped in PKCS5, convert a password, salt, and iteration counter into a crypto key.

Parameters:
    password Password.
    password_len Length of password.
    salt Salt
    salt_len Length of salt.
    iter iteration counter.
    keylen the output key length.
    key the output key.

Returns:
    1 on success, non 1 on failure.